Subject: RFC re Thunderbird + imap-send

From: Jeremy White <[email-masked]>
Date: Mon, 09 Feb 2009 15:49:51 -0600

So, MajorDomo knows that what I'm trying is sick and twisted; I seem to
have run afoul of the taboos:
  http://vger.kernel.org/majordomo-taboos.txt

(ixnay on the ention may of ontentcay ypetay tmlhay :-/).

So here is a pointer to a proposed patch to enable git-imap-send to work
with Thunderbird, based on Ben's suggestion:

http://www.codeweavers.com/~jwhite/0001-Add-an-option-to-wrap-a-patch-in-pre-in-git-imap-s.patch

Essentially, with this patch, I add an html option to the imap-send
server configuration block.  If turned on, we structure each patch as
html, inside of pre blocks.  And, in fact, Thunderbird does
automatically convert such an email into a plain/text, format=fixed
email, that seems to diff cleanly with a regular git-format-patch result.

Thoughts?  Tar and feathers?

Cheers,

Jeremy